<script lang="ts">
import Vue from 'vue';

export default Vue.extend({
  name: 'ByIndustryIntro',
  props: {
    data: {
      type: Object,
      required: true,
      default: null,
    },
  },
});
</script>

<template>
  <section class="solutions-intro">
    <SlpContainer>
      <div class="solutions-intro__container slp-flex">
        <SlpTypography
          v-if="data.intro_text"
          tag="h2"
          variant="body2"
          class="solutions-intro__intro-text"
          >{{ data.intro_text }}</SlpTypography
        >
        <a
          v-for="(logo, index) in data.logos"
          :key="`${logo.name}-${index}`"
          class="solutions-intro__link"
          :href="logo.url"
          :data-aos="logo.aos_animation"
          :data-aos-duration="logo.aos_duration"
          :data-ga-name="logo?.name?.replace(' Logo', '')"
          data-ga-location="customers logo"
          :aria-label="logo.aria_label ? logo.aria_label : ''"
        >
          <img
            class="solutions-intro__container__image"
            :src="logo.image"
            :alt="logo.name + ' logo'"
          />
        </a>
      </div>
    </SlpContainer>
  </section>
</template>

<style scoped lang="scss">
.solutions-intro {
  padding-bottom: $spacing-48;

  &__container {
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
    align-items: center;
    @media (min-width: $breakpoint-sm) {
      justify-content: left;
    }
    @media (min-width: $breakpoint-lg) {
      justify-content: space-between;
      flex-wrap: nowrap;
    }

    // These breakpoints are set assuming we will keep six images at a width of 100-130px
    @media (min-width: 498px) and (max-width: 768px) {
      &:after {
        content: '';
        flex: auto;
      }
    }
  }

  &__link {
    transition: all 0.3s ease-in-out;
    max-width: 130px;
    display: flex;
    align-items: center;
    padding: $spacing-16;
    box-sizing: content-box;
    justify-content: center;

    @media (max-width: $breakpoint-md) {
      padding: $spacing-16 $spacing-4;
    }
    @media (max-width: $breakpoint-lg) {
      flex: 1 0 auto;
    }
    &:hover {
      transform: scale(1.05);
    }

    img {
      max-height: 50px;
      max-width: 100%;

      @media (max-width: $breakpoint-md) {
        max-width: 100px;
      }
    }
  }
  &__intro-text {
    padding: $spacing-16 0;
    white-space: nowrap;
    @media (max-width: $breakpoint-sm) {
      padding: $spacing-16;
    }
    @media (max-width: $breakpoint-lg) {
      width: 100%;
      text-align: center;
    }
  }
}
</style>
